Yii Framework Forum: Will be yii2-app-advanced and yii2-app-basic deprecated? - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Will be yii2-app-advanced and yii2-app-basic deprecated? Because there is a new yii2-app skeleton Rate Topic: ***** 1 Votes

#1 User is offline   blaces 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 139
  • Joined: 06-April 12

Posted 07 April 2018 - 07:09 AM

Hi.

Will be yii2-app-advanced and yii2-app-basic deprecated? Because there is a new skeleton that is called yii2-app which directory structure is very unique, it looks like that was inspired by Laravel.

So what is the suggestion? If I want to create a backend-frontend separated application then should I use the new new yii2-app skeleton or the older advanced skeleton?

I know the new template does not use the Vagrant and Docker too, maybe these two new feature will be thorwn out too?

Many thanks.
1

#2 User is offline   jimgwhit2 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 57
  • Joined: 27-September 17
  • Location:U.S.A.

Posted 09 April 2018 - 01:45 PM

See this page: https://github.com/yiisoft You still have:

yii2, yii2-app-basic, yii2-app-advanced

The first one is core (vendor stuff), that's updated with composer, no need to download.
0

#3 User is offline   _marcelo 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 64
  • Joined: 22-October 15

Posted 10 April 2018 - 03:07 PM

View Postjimgwhit2, on 09 April 2018 - 01:45 PM, said:

See this page: https://github.com/yiisoft You still have:

yii2, yii2-app-basic, yii2-app-advanced

The first one is core (vendor stuff), that's updated with composer, no need to download.


His doubt is about templates.

yii2-app is a template like yii2-app-basic or yii2-app-advanced.

yii2-app !== yii2
0

#4 User is offline   blaces 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 139
  • Joined: 06-April 12

Posted 12 April 2018 - 06:49 AM

View Post_marcelo, on 10 April 2018 - 03:07 PM, said:

His doubt is about templates.

yii2-app is a template like yii2-app-basic or yii2-app-advanced.

yii2-app !== yii2


Yes, I meant the templates. The yii2-app and yii2-app-basic almost the same templates. They have almost the same features.
But the directory structure of yii2-app template is very different.
It has a .env file and no docker and vagrant support currently.

So that is confusing me, if I want to create a basic yii application, which template should I use?
The new yii2-app, or the "old" yii2-app-basic.
0

#5 User is offline   _marcelo 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 64
  • Joined: 22-October 15

Posted 12 April 2018 - 11:10 AM

yiisoft/yii2-app is a template for version 2.1 wich is under development. Check the Roadmap and that feed

You can use yii2-basic-app or yii2-advanced-app templates for 2.0.x versions, and yii2-app is only for 2.1.x version.
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users